Package ru.bitel.bgbilling.modules.botmanager.server.bean

# Class VKApiHelper

java.lang.Object
ru.bitel.bgbilling.modules.botmanager.server.bean.VKApiHelper

    public class VKApiHelper
    extends java.lang.Object

Вспомогательный класс для общения с API ВК

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `GET_DOC_UPLOAD_SERVER` | Получение ссылки для загрузки документов
  `static java.lang.String` | `GET_MESSAGES_UPLOAD_SERVER` | Получение ссылки, куда нужно загружать отправляемое изображение
  `static java.lang.String` | `POST_UPLOAD_DOC` |
  `static java.lang.String` | `POST_UPLOAD_IMAGE` | Загрузить изображение на сервер.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VKApiHelper​(com.vk.api.sdk.client.VkApiClient apiClient)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `org.json.JSONObject` | `doGet​(java.lang.String method, java.util.HashMap<java.lang.String,​java.lang.String> params)` |
  `org.json.JSONObject` | `doPost​(java.lang.String method, java.util.HashMap<java.lang.String,​java.lang.String> params)` |
  `org.json.JSONObject` | `uploadAttachmentFileOnVKServer​(java.lang.String url, java.io.File file)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GET_MESSAGES_UPLOAD_SERVER

    public static final java.lang.String GET_MESSAGES_UPLOAD_SERVER
    Получение ссылки, куда нужно загружать отправляемое изображение
    See Also:
      Constant Field Values

  - ### POST_UPLOAD_IMAGE

    public static final java.lang.String POST_UPLOAD_IMAGE
    Загрузить изображение на сервер. В ответе вернутся данные от сервера для дальнейшей работы с изображением
    See Also:
      Constant Field Values

  - ### GET_DOC_UPLOAD_SERVER

    public static final java.lang.String GET_DOC_UPLOAD_SERVER
    Получение ссылки для загрузки документов
    See Also:
      Constant Field Values

  - ### POST_UPLOAD_DOC

    public static final java.lang.String POST_UPLOAD_DOC
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### VKApiHelper

    public VKApiHelper​(com.vk.api.sdk.client.VkApiClient apiClient)

- ## Method Details

  - ### doGet

    public org.json.JSONObject doGet​(java.lang.String method, java.util.HashMap<java.lang.String,​java.lang.String> params) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doPost

    public org.json.JSONObject doPost​(java.lang.String method, java.util.HashMap<java.lang.String,​java.lang.String> params) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### uploadAttachmentFileOnVKServer

    public org.json.JSONObject uploadAttachmentFileOnVKServer​(java.lang.String url, java.io.File file) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`